> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate a bom

> Activate a bom

### Path parameters

<ParamField path="id" type="string" required>
  BOM ID
</ParamField>

### Responses

<ResponseField name="200" type="BomResponse" />

<ResponseField name="409" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/boms/{id}/activate' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "bom_number": "string",
    "component_count": 1,
    "created_at": "string",
    "description": null,
    "id": "string",
    "name": "string",
    "product_id": "string",
    "revision": "string",
    "status": "string"
  }
  ```
</ResponseExample>
